Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0046664
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[POS2] POStrivialhave not tried2021-05-13 16:262021-08-06 09:26
ReporterjarmendarizView Statuspublic 
Assigned Topablobessone 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0046664: Product popover position changes after it is opened

DescriptionOpening the product popover from the product keymap, it is placed first assuming it's minimum height and later once it is rendered, it repositions itself to make its whole content visible.
Steps To ReproduceRight-click any product in the product keymap
Proposed SolutionMaybe we can try to hide the popover until the reposition made once the popover is opened is finished. Then we can show the popover and avoid the glitch.
TagsNo tags attached.
Attached Filesgif file icon Peek 2021-05-13 10-58.gif [^] (111,120 bytes) 2021-05-13 16:26

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0130883)
hgbot (developer)
2021-07-29 20:53

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/merge_requests/650 [^]
(0130996)
hgbot (developer)
2021-08-06 09:26

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2 [^]
Changeset: e721a1736928446eb111dcbc012458f86af8e339
Author: pablo.bessone <pablo.bessone@smfconsulting.es>
Date: 2021-08-05T11:42:34-03:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/commit/e721a1736928446eb111dcbc012458f86af8e339 [^]

fixed ISSUE-46664: fix popover position after opening it

---
M web-jspack/org.openbravo.pos2/src/components/ProductButton/ProductPopover/ProductPopover.jsx
M web-jspack/org.openbravo.pos2/src/components/ProductButton/ProductPopover/ProductPopover.scss
---
(0130997)
hgbot (developer)
2021-08-06 09:26

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/merge_requests/650 [^]
(0130998)
hgbot (developer)
2021-08-06 09:26

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2 [^]
Changeset: cbed2e904cdf05eef679725d3fd15e34ad1f8856
Author: pablo.bessone <pablo.bessone@smfconsulting.es>
Date: 2021-08-05T11:42:34-03:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/commit/cbed2e904cdf05eef679725d3fd15e34ad1f8856 [^]

fixed ISSUE-46664: removed useless space

---
M web-jspack/org.openbravo.pos2/src/components/ProductButton/ProductPopover/ProductPopover.jsx
---

- Issue History
Date Modified Username Field Change
2021-05-13 16:26 jarmendariz New Issue
2021-05-13 16:26 jarmendariz Assigned To => Retail
2021-05-13 16:26 jarmendariz File Added: Peek 2021-05-13 10-58.gif
2021-05-13 16:26 jarmendariz Triggers an Emergency Pack => No
2021-05-13 19:31 guilleaer Resolution time => 1625868000
2021-05-13 19:31 guilleaer Severity minor => trivial
2021-05-13 19:31 guilleaer Status new => acknowledged
2021-07-14 15:46 dmiguelez Resolution time 1625868000 => 1633039200
2021-07-27 15:50 dmiguelez Assigned To Retail => pablobessone
2021-07-28 17:24 pablobessone Status acknowledged => scheduled
2021-07-29 20:53 hgbot Note Added: 0130883
2021-08-06 09:26 hgbot Resolution open => fixed
2021-08-06 09:26 hgbot Status scheduled => closed
2021-08-06 09:26 hgbot Note Added: 0130996
2021-08-06 09:26 hgbot Note Added: 0130997
2021-08-06 09:26 hgbot Note Added: 0130998


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker